Subject: Re: script mib autostart feature

From: Alan Luchuk <[email-masked]>
Date: Tue, 20 Jun 2000 10:50:33 -0400 (EDT)

>Now to the proposal:
>
>- Add a new 'auto' enumeration to the smLaunchAdminStatus which brings
>  the smLaunchOperStatus into the enabled state and launches the script
>  during the script's disabled -> enabled transition.
>
>- Add clarifying text about the interactions between
>  smScriptOperStatus and smLaunchOperStatus state transitions. Some of
>  the state transitions we have implemented are not clearly defined in
>  RFC 2592. You sometimes have to infer the behavior from the more
>  declarative description of the various states.
>
>In fact, Frank and I started to draw state transition diagrams and it
>might be helpful to put them into the RFC 2592 revision.

I agree with this proposal.

Regards,
--Alan

 -----------------------------------------------------------------------------
 Alan Luchuk       SNMP Research, Inc.                 Voice:  +1 865 573 1434
 Software Engineer 3001 Kimberlin Heights Road         FAX:    +1 865 573 9197
 [email-masked]   Knoxville, TN  37920-9716  U.S.A.   http://www.snmp.com/
 -----------------------------------------------------------------------------